#ifndef SESSION_MANAGER_SSL_H
#define SESSION_MANAGER_SSL_H
#include <openssl/ssl.h>
#include "session_manager.h"

class session_manager_ssl : public session_manager
{
public:
  session_manager_ssl(SSL* fd);
  int read_data(char* input, int size);
  int write_data(std::string output);
private:
  SSL* sfd;
};

#endif // SESSION_MANAGER_SSL_H
